Index: kernel/genarch/include/acpi/acpi.h
===================================================================
--- kernel/genarch/include/acpi/acpi.h	(revision 253f35a1d714bef0e93e4a79768b7342ccc84123)
+++ kernel/genarch/include/acpi/acpi.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup genarch	
+/** @addtogroup genarch	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ACPI_H__
-#define __ACPI_H__
+#ifndef KERN_ACPI_H_
+#define KERN_ACPI_H_
 
 #include <arch/types.h>
@@ -89,7 +89,6 @@
 extern int acpi_sdt_check(uint8_t *sdt);
 
-#endif /* __ACPI_H__ */
+#endif /* KERN_ACPI_H_ */
 
- /** @}
+/** @}
  */
-
Index: kernel/genarch/include/acpi/madt.h
===================================================================
--- kernel/genarch/include/acpi/madt.h	(revision 253f35a1d714bef0e93e4a79768b7342ccc84123)
+++ kernel/genarch/include/acpi/madt.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup genarch	
+/** @addtogroup genarch	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __MADT_H__
-#define __MADT_H__
+#ifndef KERN_MADT_H_
+#define KERN_MADT_H_
 
 #include <genarch/acpi/acpi.h>
@@ -144,7 +144,6 @@
 extern void acpi_madt_parse(void);
 
-#endif /* __MADT_H__ */
+#endif /* KERN_MADT_H_ */
 
- /** @}
+/** @}
  */
-
Index: kernel/genarch/include/fb/fb.h
===================================================================
--- kernel/genarch/include/fb/fb.h	(revision 253f35a1d714bef0e93e4a79768b7342ccc84123)
+++ kernel/genarch/include/fb/fb.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup genarch	
+/** @addtogroup genarch	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef _FB_H_
-#define _FB_H_
+#ifndef KERN_FB_H_
+#define KERN_FB_H_
 
 #include <typedefs.h>
@@ -44,5 +44,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/genarch/include/fb/font-8x16.h
===================================================================
--- kernel/genarch/include/fb/font-8x16.h	(revision 253f35a1d714bef0e93e4a79768b7342ccc84123)
+++ kernel/genarch/include/fb/font-8x16.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup genarch	
+/** @addtogroup genarch	
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __FONT_8X16_H__
-#define __FONT_8X16_H__
+#ifndef KERN_FONT_8X16_H_
+#define KERN_FONT_8X16_H_
 
 #define FONT_GLIPHS		256
@@ -43,5 +43,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/genarch/include/mm/as_ht.h
===================================================================
--- kernel/genarch/include/mm/as_ht.h	(revision 253f35a1d714bef0e93e4a79768b7342ccc84123)
+++ kernel/genarch/include/mm/as_ht.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -33,6 +33,6 @@
  */
 
-#ifndef __AS_HT_H__
-#define __AS_HT_H__
+#ifndef KERN_AS_HT_H_
+#define KERN_AS_HT_H_
 
 #include <mm/as.h>
Index: kernel/genarch/include/mm/as_pt.h
===================================================================
--- kernel/genarch/include/mm/as_pt.h	(revision 253f35a1d714bef0e93e4a79768b7342ccc84123)
+++ kernel/genarch/include/mm/as_pt.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -33,6 +33,6 @@
  */
 
-#ifndef __AS_PT_H__
-#define __AS_PT_H__
+#ifndef KERN_AS_PT_H_
+#define KERN_AS_PT_H_
 
 #include <mm/as.h>
Index: kernel/genarch/include/mm/asid_fifo.h
===================================================================
--- kernel/genarch/include/mm/asid_fifo.h	(revision 253f35a1d714bef0e93e4a79768b7342ccc84123)
+++ kernel/genarch/include/mm/asid_fifo.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup genarchmm
+/** @addtogroup genarchmm
  * @{
  */
@@ -33,6 +33,6 @@
  */
 
-#ifndef __ASID_FIFO_H__
-#define __ASID_FIFO_H__
+#ifndef KERN_ASID_FIFO_H_
+#define KERN_ASID_FIFO_H_
 
 extern void asid_fifo_init(void);
@@ -40,5 +40,4 @@
 #endif
 
- /** @}
+/** @}
  */
-
Index: kernel/genarch/include/mm/page_ht.h
===================================================================
--- kernel/genarch/include/mm/page_ht.h	(revision 253f35a1d714bef0e93e4a79768b7342ccc84123)
+++ kernel/genarch/include/mm/page_ht.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -37,6 +37,6 @@
 #ifdef CONFIG_PAGE_HT
 
-#ifndef __PAGE_HT_H__
-#define __PAGE_HT_H__
+#ifndef KERN_PAGE_HT_H_
+#define KERN_PAGE_HT_H_
 
 #include <mm/page.h>
Index: kernel/genarch/include/mm/page_pt.h
===================================================================
--- kernel/genarch/include/mm/page_pt.h	(revision 253f35a1d714bef0e93e4a79768b7342ccc84123)
+++ kernel/genarch/include/mm/page_pt.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -41,6 +41,6 @@
 #ifdef CONFIG_PAGE_PT
 
-#ifndef __PAGE_PT_H__
-#define __PAGE_PT_H__
+#ifndef KERN_PAGE_PT_H_
+#define KERN_PAGE_PT_H_
 
 #include <arch/types.h>
Index: kernel/genarch/include/softint/division.h
===================================================================
--- kernel/genarch/include/softint/division.h	(revision 253f35a1d714bef0e93e4a79768b7342ccc84123)
+++ kernel/genarch/include/softint/division.h	(revision 06e1e95342d7b9a9c85c7492529a309d51a3fb6c)
@@ -27,5 +27,5 @@
  */
 
- /** @addtogroup genarch	
+/** @addtogroup genarch	
  * @{
  */
@@ -33,7 +33,6 @@
  */
 
-#ifndef __SOFTINT_DIVISION_H__
-#define __SOFTINT_DIVISION_H__
-
+#ifndef KERN_DIVISION_H_
+#define KERN_DIVISION_H_
 
 /* 32bit integer division */
@@ -65,6 +64,4 @@
 #endif
 
-
- /** @}
+/** @}
  */
-
